<?php
$nada = array();
array_push($nada, 'nada');
array_push($nada, 'nada2');
for ($i=0; $i < count($nada); $i++) {
    echo $nada[$i];
}
$nada = array();
for ($i=0; $i < count($nada); $i++) {
    echo $nada[$i];
}